summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author tjohann <thorsten.johannvorderbrueggen@t-online.de>2015-02-14 15:51:19 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-02-14 15:51:19 +0700
commit99dd2138b0185c3a0c100c11f67f70039eb93bbd (patch)
tree090f3a88cfa1fe95aaac7c42ee7606aa0b89dd42
parent4c9b8112682f797cd0b8c185dfa4d789110e6913 (diff)
downloadslackbuilds-99dd2138b0185c3a0c100c11f67f70039eb93bbd.tar.gz
slackbuilds-99dd2138b0185c3a0c100c11f67f70039eb93bbd.tar.xz
development/mphidflash: Added (command-line tool).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/mphidflash/README2
-rw-r--r--development/mphidflash/mphidflash.SlackBuild104
-rw-r--r--development/mphidflash/mphidflash.info10
-rw-r--r--development/mphidflash/slack-desc19
4 files changed, 135 insertions, 0 deletions
diff --git a/development/mphidflash/README b/development/mphidflash/README
new file mode 100644
index 0000000000..5d8b2aeb65
--- /dev/null
+++ b/development/mphidflash/README
@@ -0,0 +1,2 @@
+MPHidFlash is a command-line tool for communicating with the USB-Bootloader in PIC microcontrollers.
+It supports Microchips HID-Bootloader protocol and runs on various plattforms (Windows, Linux, MacOS X).
diff --git a/development/mphidflash/mphidflash.SlackBuild b/development/mphidflash/mphidflash.SlackBuild
new file mode 100644
index 0000000000..24432cf3a7
--- /dev/null
+++ b/development/mphidflash/mphidflash.SlackBuild
@@ -0,0 +1,104 @@
+#!/bin/sh
+
+# Slackware build script for <mphidflash>
+
+# Copyright <2015> <Thorsten Johannvorderbrüggen> <germany/baden-württemberg>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=mphidflash
+VERSION=${VERSION:-1.6}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.gz
+# create missing dir -> binaries
+mkdir $TMP/$PRGNAM-$VERSION/binaries
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# Compile the application
+if [ "$ARCH" = "x86_64" ]; then
+ make mphidflash64
+else
+ make mphidflash32
+fi
+
+# create missing dir -> usr/bin
+mkdir -p $PKG/usr/bin
+
+if [ "$ARCH" = "x86_64" ]; then
+ cp $TMP/$PRGNAM-$VERSION/binaries/$PRGNAM-$VERSION-linux-64 $PKG/usr/bin
+ ln -s /usr/bin/$PRGNAM-$VERSION-linux-64 $PKG/usr/bin/$PRGNAM
+else
+ cp $TMP/$PRGNAM-$VERSION/binaries/$PRGNAM-$VERSION-linux-32 $PKG/usr/bin
+ ln -s /usr/bin/$PRGNAM-$VERSION-linux-32 $PKG/usr/bin/$PRGNAM
+fi
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG COPYING README.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/mphidflash/mphidflash.info b/development/mphidflash/mphidflash.info
new file mode 100644
index 0000000000..ee8ff622c1
--- /dev/null
+++ b/development/mphidflash/mphidflash.info
@@ -0,0 +1,10 @@
+PRGNAM="mphidflash"
+VERSION="1.6"
+HOMEPAGE="https://code.google.com/p/mphidflash/"
+DOWNLOAD="https://mphidflash.googlecode.com/svn/trunk/dist/mphidflash-1.6-src.tar.gz"
+MD5SUM="18c1b4deed090d2494cf68e4fa7edf9c"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="tjohann"
+EMAIL="thorsten.johannvorderbrueggen@t-online.de"
diff --git a/development/mphidflash/slack-desc b/development/mphidflash/slack-desc
new file mode 100644
index 0000000000..93e12dbd97
--- /dev/null
+++ b/development/mphidflash/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+mphidflash: mphidflash (command-line tool)
+mphidflash:
+mphidflash: MPHidFlash is a command-line tool for communicating with the
+mphidflash: USB-Bootloader in PIC microcontrollers. It supports Microchips
+mphidflash: HID-Bootloader protocol and runs on various plattforms
+mphidflash: (Windows, Linux, MacOS X).
+mphidflash: see: https://code.google.com/p/mphidflash/
+mphidflash:
+mphidflash:
+mphidflash:
+mphidflash: